Jump to content
Notícias do ACBr

click.png

click.png

click.png

logos

Texto.png

p200

click.png

click.png

click.png

click.png

click.png

click.png

logos

Texto.png

p200

Instalanção ACBRMonitor PLUS LINUX CentOS


Go to solution Solved by Daniel Simoes,

Recommended Posts

  • Usuários SAC

Boa tarde!

Estou tentando instalar o ACBR Monitor em um CENTOS 8 e esta dando o erro abaixo. Consegue me ajudar?

O CentOS é padrão e não consigo substituir!!

 


MEU AMBIENTE

    [localhost works]$ arch
    x86_64
    [localhost works]$ uname -a
    Linux localhost.localdomain 4.18.0-240.1.1.el8_3.x86_64 #1 SMP Thu Nov 19 17:20:08 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
    [localhost works]$ cat /etc/redhat-release
    CentOS Linux release 8.3.2011
    [localhost works]$


ERRO

    [localhost works]$ sudo yum install ./ACBrMonitorPLUS-1.3.0.339-1.x86_64.rpm
    Última verificação de data de vencimento de metadados: 0:13:17 atrás em sáb 16 jan 2021 12:08:32 EST.
    Erro:
     Problema: conflicting requests
      - nothing provides libopenssl1_0_0 needed by ACBrMonitorPLUS-1.3.0.339-1.x86_64
      - nothing provides libxml2-2 needed by ACBrMonitorPLUS-1.3.0.339-1.x86_64
    (try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)
    [localhost works]$


BIBLIOTECAS e LINKS

    [localhost lib64]$ ll libxmlsec.so libxmlsec1-openssl.so libxslt.so libxml.so libexslt.so
    lrwxrwxrwx. 1 root root 28 mai 14  2019 libxmlsec1-openssl.so -> libxmlsec1-openssl.so.1.2.25
    lrwxrwxrwx. 1 root root 15 jan 16 12:39 libxmlsec.so -> libxmlsec1.so.1
    lrwxrwxrwx. 1 root root 12 jan 16 12:39 libxslt.so -> libxslt.so.1
    lrwxrwxrwx. 1 root root 12 jan 16 12:39 libxml.so -> libxml2.so.2
    lrwxrwxrwx. 1 root root 13 jan 16 12:39 libexslt.so -> libexslt.so.0
    [localhost lib64]$ ll /lib64/libssl.so /lib64/libcrypto.so
    lrwxrwxrwx. 1 root root 16 dez 17 17:45 /lib64/libssl.so -> libssl.so.1.1.1g
    lrwxrwxrwx. 1 root root 19 dez 17 17:45 /lib64/libcrypto.so -> libcrypto.so.1.1.1g
    [localhost lib64]$

Link to post
Share on other sites
  • Fundadores
  • Solution
2 horas atrás, esbaptista disse:

 (try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

Me parece que você terá que seguir essas dicas, para que ele siga com a instalação... Depois de instalado... vemos se é possível criar Links simbólicos para a libOpenSSL e libXML2

Consultor SAC ACBr

Daniel Simões de Almeida
O melhor TEF, é com o Projeto ACBr - Clique e Conheça
Ajude o Projeto ACBr crescer - Assine o SAC

Projeto ACBr     Telefone:(15) 2105-0750 WhatsApp(15)99790-2976.

Link to post
Share on other sites
  • Usuários SAC

Eu consegui instalar com o 'rpm -ivh --force ... ' e alguns pacotes extras.

Mas ele da pau mais pra frente, na hora de executar, dentro do ambiente gráfico.

Existe alguma forma de rodar o ACBRMonitor no Linux somente em modo texto?

Link to post
Share on other sites
  • Usuários SAC

pediu para instalar bibliotecas do GTK (infelizmente eu não marquei o nome), o que eu fiz e consegui rodar o programa, porem fica sem escritos.

 

 

Anotação 2021-01-19 081617.jpg

Link to post
Share on other sites
  • Fundadores

Rode o programa em um Terminal Shell... os erros devem aparecer em "std" do Shell

cd /opt/acbrmonitor
./acbrmonitor

Consultor SAC ACBr

Daniel Simões de Almeida
O melhor TEF, é com o Projeto ACBr - Clique e Conheça
Ajude o Projeto ACBr crescer - Assine o SAC

Projeto ACBr     Telefone:(15) 2105-0750 WhatsApp(15)99790-2976.

Link to post
Share on other sites
×
×
  • Create New...